Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LibrarySessionInterface

All Known Implementing Classes:
  S_LibrarySession, S_TieLibrarySession

    public interface class S_LibrarySessionInterface

S_LibrarySessionInterface defines the server-side interface.

This interface can be implemented to create a backend implementation of the CMSDK data model.

(Published)

Method Summary
`void` | `DMAbortTransaction(Transaction transaction)`
`S_LibraryObjectData` | `DMaddAccessControlEntry(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition sdef)`
`java.lang.Long` | `DMAddAttributeToClassObject(java.lang.Long id, S_LibraryObjectDefinition def)`
`void` | `DMAddFolderRelationship(java.lang.Long id, java.lang.Long classid, S_LibraryObjectDefinition rdef)`
`void` | `DMAddMembersToDirectoryGroup(java.lang.Long group_id, java.lang.Long classid, java.lang.Long[] rightObjIds, java.lang.Long[] rightObjClassids)`
`void` | `DMAddMemberToDirectoryGroup(java.lang.Long group_id, java.lang.Long classid, java.lang.Long rightObj, java.lang.Long rightObjClassid)`
`S_LibraryObjectData` | `DMAddRelationship(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`void` | `DMAddToFolder(java.lang.Long folder_id, java.lang.Long classid, java.lang.Long rightObj, java.lang.Long rightObjClassid)`
`void` | `DMApplyAclIndexDeferredUpdate(AccessControlListDeferredUpdate entry, boolean deleteAfterProcessing)`
`void` | `DMApplyFolderIndexDeferredUpdate(FolderIndexDeferredUpdate entry)`
`Transaction` | `DMBeginTransaction(boolean writeable)`
`void` | `DMCalculateConsumedStorage(java.lang.Long quotaid, java.lang.Long classid)`
`void` | `DMCancelOperation()`
`boolean` | `DMCheckExistenceOfPublicObjectByPath(java.lang.Long folder_id, java.lang.Long classid, java.lang.String path)`
`void` | `DMCloseFolder(java.lang.Long folder_id, java.lang.Long classid)`
`void` | `DMCloseSearch(java.lang.Long id)`
`void` | `DMCloseSelector(long cursorId)`
`void` | `DMCommit()`
`void` | `DMCompleteTransaction(Transaction transaction)`
`S_LibraryObjectData` | `DMConvertToPrivateACL(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition sdef)`
`S_LibraryObjectData` | `DMCopyLibraryObject(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition sdef)`
`S_LibraryObjectData` | `DMCreateDefaultPolicyPropertyBundle(java.lang.Long id, java.lang.Long classId)`
`S_LibraryObjectData` | `DMCreateDefaultPropertyBundle(java.lang.Long id, java.lang.Long classId)`
`void` | `DMCreateRetainedEventDatabaseObjects(RetainedEvent event)`
`void` | `DMCreateView(ViewSpecification vsp)`
`void` | `DMDelete(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`void` | `DMDeleteAclIndexDeferredUpdates(java.lang.Long[] ids)`
`void` | `DMDeleteRepositoryParameter(java.lang.String name)`
`void` | `DMDeleteRetainedEvent(RetainedEvent event)`
`oracle.sql.ORAData` | `DMDequeueMessage(java.lang.Long id, java.lang.Long classId, java.lang.String subscriberName)`
`oracle.sql.ORAData` | `DMDequeueMessageFromExceptionQueue(java.lang.Long id, java.lang.Long classId)`
`void` | `DMDeregisterClassEventHandler(java.lang.Long classId)`
`void` | `DMDeregisterEventHandler(java.lang.Long id)`
`void` | `DMDeregisterServiceEventHandler(IfsEventHandler handler)`
`void` | `DMDisconnect()`
`void` | `DMDisposeSearch(java.lang.Long srchId)`
`void` | `DMDropRetainedEventDatabaseObjects(RetainedEvent event)`
`void` | `DMEmptyWastebasket()`
`void` | `DMEnqueueMessage(java.lang.Long id, java.lang.Long classId, oracle.sql.ORAData message)`
`void` | `DMEnqueueMessage(java.lang.Long id, java.lang.Long classId, oracle.sql.ORAData message, java.lang.String correlation)`
`void` | `DMFeignUser(java.lang.Long id, java.lang.Long classid)`
`java.lang.Long[]` | `DMfetchACEs(java.lang.Long id, java.lang.Long classId)`
`java.util.Vector` | `DMFetchPolicyListElements(java.lang.Long policyListId, java.lang.Long policyListClassId)`
`java.util.Vector` | `DMFetchProperties(java.lang.Long propertyBundleId, java.lang.Long propertyBundleClassId)`
`java.lang.Long[]` | `DMfetchRevisions(java.lang.Long id, java.lang.Long classId)`
`java.lang.Long[]` | `DMfetchVersionSerieses(java.lang.Long id, java.lang.Long classId)`
`void` | `DMFilterContent(java.lang.Long contentId, java.lang.Long contentClassId, boolean plaintext, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`void` | `DMFilterDeletedObjects(boolean mode)`
`S_LibraryObjectData` | `DMFindPublicObjectByPath(java.lang.Long folder_id, java.lang.Long classid, java.lang.String path)`
`void` | `DMFlushEvents()`
`boolean` | `DMFolderHasSubFolders(java.lang.Long folder_id, java.lang.Long classid)`
`void` | `DMForceReadEvents()`
`void` | `DMFree(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`void` | `DMGenerateSummary(java.lang.Long contentId, java.lang.Long contentClassID, java.lang.String pointOfView, long sizeAsPercent, long sizeAsNumParagraphs, java.lang.String summaryLevel, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`void` | `DMGenerateThemes(java.lang.Long contentId, java.lang.Long contentClassId, boolean fullThemes, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`AccessLevel` | `DMGetAccessLevel(java.lang.Long id, java.lang.Long classId, java.lang.Long userId)`
`java.util.Vector` | `DMGetAclIndexDeferredUpdates(int maxItems)`
`java.lang.Long[]` | `DMGetAllAncestorsOfDirectoryObject(java.lang.Long id, java.lang.Long userid)`
`java.lang.String[]` | `DMGetAllFolderPaths(java.lang.Long id, java.lang.Long classid, java.lang.Long folderRefId, java.lang.Long folderRefClassid, FolderPathOptions fpo, SortSpecification sort)`
`java.lang.Long[]` | `DMGetAllMembersOfDirectoryGroup(java.lang.Long id, java.lang.Long userid, boolean filterForDiscoverability)`
`java.lang.String` | `DMGetAnyFolderPath(java.lang.Long id, java.lang.Long classid, java.lang.Long folderRefId, java.lang.Long folderRefClassid, FolderPathOptions fpo, SortSpecification sort)`
`java.util.Vector` | `DMGetArrayReferencingObjects(java.lang.Long attributeId, AttributeValue referencedValue, SortSpecification sort)`
`AttributeValue` | `DMGetArrayTypeAttributeValue(long objectId, long attributeId, long auditId, int count)`
`long` | `DMGetAttributesRsn()`
`AuditCertificate[]` | `DMGetAuditCertificates(java.lang.Long[] objectIds)`
`AttributeValue[]` | `DMGetAuditTypesForClass(java.lang.String className, boolean includeNested)`
`AttributeValue[]` | `DMGetAuditTypesForCreateOperations()`
`AttributeValue[]` | `DMGetAuditTypesForFreeOperations()`
`java.lang.Long[]` | `DMGetCategoryIds(java.lang.Long id, java.lang.Long classid)`
`java.lang.Long` | `DMGetClockOffset()`
`java.lang.Long[]` | `DMGetCompositeAclIds(java.lang.Long id, java.lang.Long classid, SortSpecification sort)`
`long` | `DMGetConsumedStorage(java.lang.Long id, java.lang.Long classId)`
`RandomAccessor` | `DMGetContentByRandomAccess(java.lang.Long coId, java.lang.Long coClassId, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`ContentStreamSerializer` | `DMGetContentReader(java.lang.Long id, java.lang.Long classId, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`ContentStreamSerializer` | `DMGetContentStream(java.lang.Long id, java.lang.Long classId, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`AttributeValue[]` | `DMGetCustomAuditTypes()`
`java.lang.Long[]` | `DMGetDirectAncestorsOfDirectoryObject(java.lang.Long id, java.lang.Long userid)`
`java.lang.Long[]` | `DMGetDirectMembersOfDirectoryGroup(java.lang.Long id, java.lang.Long userid, boolean filterForDiscoverability)`
`S_LibraryObjectData` | `DMGetDirectoryUserData()`
`java.lang.Long[]` | `DMGetDiscoverabilityOfPublicObjectsIds(java.lang.Long[] ids)`
`java.util.Vector` | `DMGetEffectiveClassPolicyListElements(java.lang.Long id, java.lang.Long classId, java.lang.String operation)`
`java.util.Vector` | `DMGetEffectivePolicyListElements(java.lang.Long id, java.lang.Long classId, java.lang.String operation)`
`java.lang.String` | `DMGetEncryptedRepositoryParameter(java.lang.String name)`
`java.util.Vector` | `DMGetExpiredTimedLocks(int maxItems, int offset)`
`ContentStreamSerializer` | `DMGetFilteredContent(java.lang.Long contentId, java.lang.Long contentClassId, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`java.util.Vector` | `DMGetFolderIndexDeferredUpdates(int maxItems)`
`long` | `DMGetFolderItemCount(java.lang.Long folder_id, java.lang.Long classId, java.lang.String folderRelClassname)`
`java.lang.Long[]` | `DMGetFolderItemList(java.lang.Long folder_id, java.lang.Long classid, SortSpecification sort)`
`java.lang.Long[]` | `DMGetFolderReferences(java.lang.Long PublicObject_id, java.lang.Long classid, SortSpecification sort)`
`long` | `DMGetHighestAuditId()`
`java.lang.Long[]` | `DMGetIdsForNewObjects(int length)`
`java.util.Date` | `DMGetLastAccessDate(java.lang.Long id, java.lang.Long classId)`
`java.util.Vector` | `DMGetLeftwardRelationshipObjects(java.lang.Long id, java.lang.Long classId, java.lang.Long relClassId, SortSpecification sort)`
`java.util.Vector` | `DMGetLeftwardRelationships(java.lang.Long id, java.lang.Long classId, java.lang.Long relClassId, SortSpecification sort)`
`long` | `DMGetLeftwardRelationshipsCount(java.lang.Long id, java.lang.Long classId, java.lang.Long relClassId)`
`S_LibraryObjectData` | `DMgetLibraryObjectData(java.lang.Long id, java.lang.Long classId, java.lang.String attributeName, boolean selectFully)`
`java.lang.Long[]` | `DMGetLinks(java.lang.Long id, java.lang.Long classId)`
`java.util.Vector` | `DMGetLockedForSessionObjects()`
`java.lang.String` | `DMGetNLSDatabaseParameterValue(java.lang.String parameter)`
`java.io.Serializable` | `DMGetObjectReferenceAttribute(java.lang.Long id, java.lang.Long classId, java.lang.String attrName)`
`S_LibraryObjectData` | `DMGetOurPrimaryUserProfile()`
`java.lang.Long` | `DMGetPartitionValue(java.lang.Long id, java.lang.Long classId)`
`int` | `DMGetPreparedSelectorItemCount(java.lang.String statementKey, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxSearchTargets, java.lang.String searchDefinition, boolean recursive, java.lang.String hint, AttributeValue[] bindValues)`
`S_LibraryObjectData` | `DMGetPrimaryUserProfile(java.lang.Long id)`
`AttributeValue` | `DMGetProperty(java.lang.Long propertyBundleId, java.lang.Long propertyBundleClassId, java.lang.String propertyName)`
`S_LibraryObjectData` | `DMGetPublicObjectData(java.lang.Long id, java.lang.Long classId)`
`java.util.Vector` | `DMGetPublicObjectsReferringToLockObject(java.lang.Long id, java.lang.Long classId, SortSpecification sort)`
`java.lang.String` | `DMGetRepositoryParameter(java.lang.String name)`
`java.lang.String[]` | `DMGetRepositoryParameterNames(java.lang.String prefix)`
`S_ClassObjectData` | `DMGetResolvedClassObjectData(java.lang.Long id)`
`RetainedEvent[]` | `DMGetRetainedEvents(RetainedEvent event, int maxItems)`
`java.util.Vector` | `DMGetRightwardRelationshipObjects(java.lang.Long id, java.lang.Long classId, java.lang.Long relClassId, SortSpecification sort)`
`java.util.Vector` | `DMGetRightwardRelationships(java.lang.Long id, java.lang.Long classId, java.lang.Long relClassId, SortSpecification sort)`
`S_LibraryObjectData` | `DMGetSchemaObjectData(java.lang.Long id, java.lang.Long classId)`
`int` | `DMgetSearchItemCount(java.lang.Long id, java.util.Vector bindValues, java.lang.String language, int timeout)`
`SearchSpecification` | `DMGetSearchSpecification(java.lang.Long srchId)`
`java.lang.String` | `DMgetSearchSQLString(java.lang.Long srchId)`
`long` | `DMGetSelectorItemCount(java.lang.String searchClass, java.lang.String searchDefinition, boolean recursive)`
`java.util.Hashtable` | `DMGetServiceConfigurationProperties()`
`java.lang.Long` | `DMGetServiceId()`
`int[]` | `DMGetServiceTraceLoggerLevels()`
`java.lang.Long` | `DMGetSessionId()`
`int[]` | `DMGetSessionTraceLoggerLevels()`
`S_LibraryObjectDefinition` | `DMGetSLibraryObjectDefinition(java.lang.Long id, java.lang.Long classid)`
`long` | `DMGetSubfolderCount(java.lang.Long folder_id, java.lang.Long classId, java.lang.String folderRelClassname)`
`ContentStreamSerializer` | `DMGetSummary(java.lang.Long contentId, java.lang.Long contentClassId, java.lang.String pointOfView, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`S_LibraryObjectData` | `DMGetSystemObjectData(java.lang.Long id, java.lang.Long classId)`
`ContextTheme[]` | `DMGetThemes(java.lang.Long contentId, java.lang.Long contentClassId, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`int` | `DMGetTotalFolderItemCount(java.lang.Long folder_id, java.lang.Long classid)`
`long` | `DMGetWastebasketSelectorItemCount(java.lang.String searchClass, java.lang.String searchDefinition, boolean recursive)`
`void` | `DMGrantAdmin(java.lang.Long userid)`
`void` | `DMHandleAuditEventDispatchRequests(java.util.ArrayList reqList, java.lang.String tableName)`
`void` | `DMInsertRetainedEvent(RetainedEvent event)`
`void` | `DMIntegrateIntoVersionSeries(java.lang.Long sid, java.lang.Long sclassId, java.lang.Long tid, java.lang.Long tclassId)`
`void` | `DMInvalidateTokenCredentials(java.lang.Long userId)`
`java.lang.Object` | `DMInvokeOperation(java.lang.Long id, java.lang.Long classId, OperationContext op)`
`java.io.Serializable` | `DMInvokeServerMethod(java.lang.Long id, java.lang.Long classId, java.lang.String methodName, java.io.Serializable payload)`
`boolean` | `DMIsAclIndexUpdateModeSynchronous()`
`boolean` | `DMIsAttributeValueInValueDomain(java.lang.Long id, java.lang.Long classId, AttributeValue av)`
`boolean` | `DMIsContentReadByUser(java.lang.Long id, java.lang.Long classId)`
`boolean` | `DMIsContextIndexEnabled()`
`boolean` | `DMIsDirectMemberOfDirectoryGroup(java.lang.Long groupId, java.lang.Long groupClassId, java.lang.Long userId, java.lang.Long userClassId)`
`boolean` | `DMIsExecutionMode(int mode)`
`boolean` | `DMIsInstanceOfClassVersionable(java.lang.Long classId)`
`boolean` | `DMIsLockObjectShared(java.lang.Long id, java.lang.Long classId)`
`boolean` | `DMIsMemberOfDirectoryGroup(java.lang.Long groupId, java.lang.Long groupClassId, java.lang.Long userId, java.lang.Long userClassId)`
`boolean` | `DMIsTransactionInProgress()`
`boolean` | `DMIsVersionable(java.lang.Long id, java.lang.Long classId)`
`java.util.Vector` | `DMListItems(java.lang.Long folder_id, java.lang.Long classid, java.lang.String folderRelClassname, SortSpecification sort)`
`java.util.Vector` | `DMListPreparedSelectorItems(java.lang.String statementKey, boolean distinct, AttributeValue searchTarget, AttributeValue[] auxSearchTargets, java.lang.String searchDefinition, boolean recursive, java.lang.String language, int maxItemCount, int rowNumber, java.lang.String hint, SortSpecification sort, AttributeValue[] bindValues)`
`java.util.Vector` | `DMListSelectorItems(java.lang.String searchClass, java.lang.String searchDefinition, boolean recursive, int maxItemCount, SortSpecification sort)`
`java.util.Vector` | `DMListWastebasketSelectorItems(java.lang.String searchClass, java.lang.String searchDefinition, boolean recursive, SortSpecification sort)`
`void` | `DMLockRows(java.lang.Long id, java.lang.Long classId)`
`java.lang.String[]` | `DMLookupAuditEventOperationTypeKeys(int[] opTypes)`
`int[]` | `DMLookupAuditEventOperationTypes(java.lang.String[] keys)`
`AuditTargetCode` | `DMLookupAuditTargetCode(java.lang.String className)`
`S_LibraryObjectData` | `DMNewBranchedVersionSeries(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`ContentStreamSerializer` | `DMNewContentStreamSerializer()`
`S_LibraryObjectData` | `DMNewPublicObject(S_LibraryObjectDefinition def)`
`S_LibraryObjectData` | `DMNewRevision(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`S_LibraryObjectData` | `DMNewSchemaObject(S_LibraryObjectDefinition def)`
`java.lang.Long` | `DMNewSearch()`
`java.lang.Long` | `DMNewSearchFromObject(java.lang.Long srchObjId)`
`S_LibraryObjectData` | `DMNewSystemObject(S_LibraryObjectDefinition def)`
`S_LibraryObjectData` | `DMNewVersionSeries(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`S_LibraryObjectData` | `DMNextFolderItem(java.lang.Long folder_id, java.lang.Long classid)`
`java.util.Vector` | `DMNextSearchItems(java.lang.Long id, int batchCount)`
`java.util.Vector` | `DMNextSelectorBatch(long cursorId, int batchSize)`
`S_LibraryObjectData` | `DMNextSelectorItem(long cursorId)`
`void` | `DMOpenFolder(java.lang.Long folder_id, java.lang.Long classid, java.lang.String folderRelClassname, SortSpecification sort)`
`void` | `DMOpenSearch(java.lang.Long id, java.util.Vector bindValues, java.lang.String language, int timeout)`
`long` | `DMOpenSelector(java.lang.String searchClass, java.lang.String searchDefinition, boolean recursive, SortSpecification sort)`
`long` | `DMOpenWastebasketSelector(java.lang.String searchClass, java.lang.String searchDefinition, boolean recursive, SortSpecification sort)`
`void` | `DMPersistTokenCredential(TokenCredential credential)`
`void` | `DMPopTemporaryAccessCheckMode()`
`void` | `DMPopTemporaryExecutionMode()`
`void` | `DMPostAuditEvent(AuditEvent event, int mode)`
`void` | `DMPostEvent(IfsEvent event)`
`void` | `DMProcessEvents()`
`java.util.Vector` | `DMProcessEventsInBackground()`
`void` | `DMPushTemporaryAccessCheckMode(boolean mode)`
`void` | `DMPushTemporaryExecutionMode(int mode)`
`void` | `DMRandomAccessorClose(S_RandomAccessorImpl ra)`
`void` | `DMRandomAccessorDispose(S_RandomAccessorImpl ra)`
`java.lang.Long` | `DMRandomAccessorGetContentObjectId(S_RandomAccessorImpl ra)`
`java.lang.Long` | `DMRandomAccessorGetDocumentId(S_RandomAccessorImpl ra)`
`boolean` | `DMRandomAccessorIsWriteable(S_RandomAccessorImpl ra)`
`long` | `DMRandomAccessorLength(S_RandomAccessorImpl ra)`
`int` | `DMRandomAccessorRead(S_RandomAccessorImpl ra, long pos, byte[] b, int off, int len)`
`void` | `DMRandomAccessorSetSession(S_RandomAccessorImpl ra)`
`void` | `DMRandomAccessorTruncate(S_RandomAccessorImpl ra, long len)`
`void` | `DMRandomAccessorWrite(S_RandomAccessorImpl ra, long pos, byte[] b, int off, int len)`
`void` | `DMReassociateLinks(java.lang.Long oldId, java.lang.Long oldClassId, java.lang.Long newId, java.lang.Long newClassId)`
`boolean` | `DMReauthenticate(Credential credential, ConnectOptions options)`
`int` | `DMRegisterAuditEventOperationType(java.lang.String opTypeKey, int targetCode, java.lang.String targetClassName, int opCode, java.lang.Boolean createOrFree)`
`void` | `DMRegisterClassEventHandler(java.lang.Long classId)`
`int` | `DMRegisterCustomAuditEventOperationCodeKey(java.lang.String opCodeKey)`
`void` | `DMRegisterEventHandler(java.lang.Long id)`
`void` | `DMRegisterServiceEventHandler(IfsEventHandler handler)`
`int` | `DMReleaseExpiredLockObject(java.lang.Long id, java.lang.Long classId)`
`void` | `DMRemoveAccessControlEntry(java.lang.Long id, java.lang.Long classId, java.lang.Long aceId, java.lang.Long aceClassId)`
`void` | `DMremoveAllAccessControlEntries(java.lang.Long id, java.lang.Long classId)`
`void` | `DMRemoveAttributeFromClassObject(java.lang.Long id, S_LibraryObjectDefinition def)`
`void` | `DMRemoveAuditEvents(long[] eventIds, java.lang.String tableName)`
`void` | `DMRemoveAuditEventsForTarget(java.lang.Long specId, java.lang.Long targetId)`
`void` | `DMRemoveFromFolder(java.lang.Long folder_id, java.lang.Long classid, java.lang.Long rightObj, java.lang.Long rightObjClassid, S_LibraryObjectDefinition def)`
`void` | `DMRemoveMemberFromDirectoryGroup(java.lang.Long group_id, java.lang.Long classid, java.lang.Long rightObj, java.lang.Long rightObjClassid)`
`void` | `DMRemoveMembersFromDirectoryGroup(java.lang.Long group_id, java.lang.Long classid, java.lang.Long[] rightObjIds, java.lang.Long[] rightObjClassids)`
`void` | `DMRemoveRawAuditEvents(RawAuditEvent[] rawEvents)`
`void` | `DMRemoveRelationship(java.lang.Long id, java.lang.Long classId, java.lang.Long relId, java.lang.Long relClassId)`
`ContentStreamSerializer` | `DMRender(java.lang.Long id, java.lang.Long classId, java.lang.String rendererType, java.lang.String rendererName, java.util.Hashtable options, boolean reader)`
`void` | `DMReserveNext(java.lang.Long id, java.lang.Long classId, java.lang.String contentPath, java.lang.String comment)`
`void` | `DMResolveObjects(java.lang.Long[] ids, java.lang.Long[] classIds, ObjectResolverSpecification spec)`
`void` | `DMRollback()`
`long` | `DMSchemaVersionNumber()`
`java.lang.String` | `DMSchemaVersionString()`
`AttributeValue[]` | `DMSelectAggregateAuditEventColumns(java.lang.Long auditSpec, java.lang.String aggFunction, java.lang.String[] columnNames, java.lang.String[] innerColNames, java.lang.String filterClause, java.lang.String sortClause)`
`AuditEvent[]` | `DMSelectAuditEvents(java.lang.Long auditSpec, java.lang.String filterClause, java.lang.String sortClause, int maxItems)`
`RawAuditEvent[]` | `DMSelectRawAuditEvents(java.lang.String filterClause, int maxItems)`
`AuditFolderPath` | `DMSelectSpecificAuditFolderPath(long folderPathId)`
`void` | `DMSendClientVersionInformation(long versionNumber, java.lang.String versionString)`
`void` | `DMSetApplicationName(java.lang.String name)`
`S_LibraryObjectDefinition` | `DMSetAttributes(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`void` | `DMSetContentReadByUser(java.lang.Long id, java.lang.Long classId, boolean readState, java.lang.Long refObjId, java.lang.Long refObjClassId)`
`void` | `DMSetEncryptedRepositoryParameter(java.lang.String name, java.lang.String value)`
`void` | `DMSetExecutionMode(int mode)`
`void` | `DMSetLibrarySession(LibrarySession session)`
`void` | `DMSetRepositoryParameter(java.lang.String name, java.lang.String value)`
`void` | `DMSetSearchSpecification(java.lang.Long srchId, SearchSpecification sp)`
`void` | `DMSetServiceTraceLoggerLevels(int[] levels)`
`void` | `DMSetSessionTraceLoggerLevels(int[] levels)`
`void` | `DMTrace(int channel, int level, java.lang.Long serviceId, java.lang.Long sessionId, java.lang.Long id, java.lang.String classname, java.lang.String payload)`
`void` | `DMUndelete(java.lang.Long id, java.lang.Long classId, S_LibraryObjectDefinition def)`
`void` | `DMUnregisterAuditEventOperationType(java.lang.String opTypeKey)`
`void` | `DMUnReserve(java.lang.Long id, java.lang.Long classId)`
`void` | `DMupdateAccessControlEntry(java.lang.Long id, java.lang.Long classId, java.lang.Long aceId, java.lang.Long aceClassid, S_LibraryObjectDefinition sdef)`
`RandomAccessor` | `DMUpdateContentByRandomAccess(java.lang.Long docId, java.lang.Long docClassId, S_LibraryObjectDefinition sdocdef, java.lang.Long expirationPeriod)`
`void` | `DMUpdateLocalizer(java.util.Hashtable properties)`
`void` | `DMUpdateSessionDefaults(java.util.Hashtable properties)`
`long` | `DMVersionNumber()`
`java.lang.String` | `DMVersionString()`

Method Detail

### DMSetApplicationName

    void DMSetApplicationName(java.lang.String name)
                              throws IfsException

  Throws:
    `IfsException`

### DMSetLibrarySession

    void DMSetLibrarySession(LibrarySession session)
                             throws IfsException

  Throws:
    `IfsException`

### DMGetSessionId

    java.lang.Long DMGetSessionId()
                                  throws IfsException

  Throws:
    `IfsException`

### DMGetServiceId

    java.lang.Long DMGetServiceId()
                                  throws IfsException

  Throws:
    `IfsException`

### DMGetClockOffset

    java.lang.Long DMGetClockOffset()
                                    throws IfsException

  Throws:
    `IfsException`

### DMCancelOperation

    void DMCancelOperation()
                           throws IfsException

  Throws:
    `IfsException`

### DMGetServiceConfigurationProperties

    java.util.Hashtable DMGetServiceConfigurationProperties()
                                                            throws IfsException

  Throws:
    `IfsException`

### DMGetRepositoryParameterNames

    java.lang.String[] DMGetRepositoryParameterNames(java.lang.String prefix)
                                                     throws IfsException

  Throws:
    `IfsException`

### DMGetRepositoryParameter

    java.lang.String DMGetRepositoryParameter(java.lang.String name)
                                              throws IfsException

  Throws:
    `IfsException`

### DMSetRepositoryParameter

    void DMSetRepositoryParameter(java.lang.String name,
                                  java.lang.String value)
                                  throws IfsException

  Throws:
    `IfsException`

### DMDeleteRepositoryParameter

    void DMDeleteRepositoryParameter(java.lang.String name)
                                     throws IfsException

  Throws:
    `IfsException`

### DMGetEncryptedRepositoryParameter

    java.lang.String DMGetEncryptedRepositoryParameter(java.lang.String name)
                                                       throws IfsException

  Throws:
    `IfsException`

### DMSetEncryptedRepositoryParameter

    void DMSetEncryptedRepositoryParameter(java.lang.String name,
                                           java.lang.String value)
                                           throws IfsException

  Throws:
    `IfsException`

### DMUpdateLocalizer

    void DMUpdateLocalizer(java.util.Hashtable properties)
                           throws IfsException

  Throws:
    `IfsException`

### DMUpdateSessionDefaults

    void DMUpdateSessionDefaults(java.util.Hashtable properties)
                                 throws IfsException

  Throws:
    `IfsException`

### DMRegisterEventHandler

    void DMRegisterEventHandler(java.lang.Long id)
                                throws IfsException

  Throws:
    `IfsException`

### DMDeregisterEventHandler

    void DMDeregisterEventHandler(java.lang.Long id)
                                  throws IfsException

  Throws:
    `IfsException`

### DMRegisterClassEventHandler

    void DMRegisterClassEventHandler(java.lang.Long classId)
                                     throws IfsException

  Throws:
    `IfsException`

### DMDeregisterClassEventHandler

    void DMDeregisterClassEventHandler(java.lang.Long classId)
                                       throws IfsException

  Throws:
    `IfsException`

### DMRegisterServiceEventHandler

    void DMRegisterServiceEventHandler(IfsEventHandler handler)
                                       throws IfsException

  Throws:
    `IfsException`

### DMDeregisterServiceEventHandler

    void DMDeregisterServiceEventHandler(IfsEventHandler handler)
                                         throws IfsException

  Throws:
    `IfsException`

### DMTrace

    void DMTrace(int channel,
                 int level,
                 java.lang.Long serviceId,
                 java.lang.Long sessionId,
                 java.lang.Long id,
                 java.lang.String classname,
                 java.lang.String payload)
                 throws IfsException

  Throws:
    `IfsException`

### DMSetSessionTraceLoggerLevels

    void DMSetSessionTraceLoggerLevels(int[] levels)
                                       throws IfsException

  Throws:
    `IfsException`

### DMGetSessionTraceLoggerLevels

    int[] DMGetSessionTraceLoggerLevels()
                                        throws IfsException

  Throws:
    `IfsException`

### DMSetServiceTraceLoggerLevels

    void DMSetServiceTraceLoggerLevels(int[] levels)
                                       throws IfsException

  Throws:
    `IfsException`

### DMGetServiceTraceLoggerLevels

    int[] DMGetServiceTraceLoggerLevels()
                                        throws IfsException

  Throws:
    `IfsException`

### DMPostEvent

    void DMPostEvent(IfsEvent event)
                     throws IfsException

  Throws:
    `IfsException`

### DMProcessEvents

    void DMProcessEvents()
                         throws IfsException

  Throws:
    `IfsException`

### DMProcessEventsInBackground

    java.util.Vector DMProcessEventsInBackground()
                                                 throws IfsException

  Throws:
    `IfsException`

### DMFlushEvents

    void DMFlushEvents()
                       throws IfsException

  Throws:
    `IfsException`

### DMForceReadEvents

    void DMForceReadEvents()
                           throws IfsException

  Throws:
    `IfsException`

### DMDisconnect

    void DMDisconnect()
                      throws IfsException

  Throws:
    `IfsException`

### DMVersionNumber

    long DMVersionNumber()
                         throws IfsException

  Throws:
    `IfsException`

### DMVersionString

    java.lang.String DMVersionString()
                                     throws IfsException

  Throws:
    `IfsException`

### DMSchemaVersionNumber

    long DMSchemaVersionNumber()
                               throws IfsException

  Throws:
    `IfsException`

### DMSchemaVersionString

    java.lang.String DMSchemaVersionString()
                                           throws IfsException

  Throws:
    `IfsException`

### DMGetNLSDatabaseParameterValue

    java.lang.String DMGetNLSDatabaseParameterValue(java.lang.String parameter)
                                                    throws IfsException

  Throws:
    `IfsException`

### DMListWastebasketSelectorItems

    java.util.Vector DMListWastebasketSelectorItems(java.lang.String searchClass,
                                                    java.lang.String searchDefinition,
                                                    boolean recursive,
                                                    SortSpecification sort)
                                                    throws IfsException

  Throws:
    `IfsException`

### DMGetWastebasketSelectorItemCount

    long DMGetWastebasketSelectorItemCount(java.lang.String searchClass,
                                           java.lang.String searchDefinition,
                                           boolean recursive)
                                           throws IfsException

  Throws:
    `IfsException`

### DMOpenWastebasketSelector

    long DMOpenWastebasketSelector(java.lang.String searchClass,
                                   java.lang.String searchDefinition,
                                   boolean recursive,
                                   SortSpecification sort)
                                   throws IfsException

  Throws:
    `IfsException`

### DMPostAuditEvent

    void DMPostAuditEvent(AuditEvent event,
                          int mode)
                          throws IfsException

  Throws:
    `IfsException`

### DMSelectRawAuditEvents

    RawAuditEvent[] DMSelectRawAuditEvents(java.lang.String filterClause,
                                           int maxItems)
                                           throws IfsException

  Throws:
    `IfsException`

### DMRemoveRawAuditEvents

    void DMRemoveRawAuditEvents(RawAuditEvent[] rawEvents)
                                throws IfsException

  Throws:
    `IfsException`

### DMHandleAuditEventDispatchRequests

    void DMHandleAuditEventDispatchRequests(java.util.ArrayList reqList,
                                            java.lang.String tableName)
                                            throws IfsException

  Throws:
    `IfsException`

### DMSelectAuditEvents

    AuditEvent[] DMSelectAuditEvents(java.lang.Long auditSpec,
                                     java.lang.String filterClause,
                                     java.lang.String sortClause,
                                     int maxItems)
                                     throws IfsException

  Throws:
    `IfsException`

### DMSelectAggregateAuditEventColumns

    AttributeValue[] DMSelectAggregateAuditEventColumns(java.lang.Long auditSpec,
                                                        java.lang.String aggFunction,
                                                        java.lang.String[] columnNames,
                                                        java.lang.String[] innerColNames,
                                                        java.lang.String filterClause,
                                                        java.lang.String sortClause)
                                                        throws IfsException

  Throws:
    `IfsException`

### DMRemoveAuditEvents

    void DMRemoveAuditEvents(long[] eventIds,
                             java.lang.String tableName)
                             throws IfsException

  Throws:
    `IfsException`

### DMRemoveAuditEventsForTarget

    void DMRemoveAuditEventsForTarget(java.lang.Long specId,
                                      java.lang.Long targetId)
                                      throws IfsException

  Throws:
    `IfsException`

### DMSelectSpecificAuditFolderPath

    AuditFolderPath DMSelectSpecificAuditFolderPath(long folderPathId)
                                                    throws IfsException

  Throws:
    `IfsException`

### DMRegisterAuditEventOperationType

    int DMRegisterAuditEventOperationType(java.lang.String opTypeKey,
                                          int targetCode,
                                          java.lang.String targetClassName,
                                          int opCode,
                                          java.lang.Boolean createOrFree)
                                          throws IfsException

  Throws:
    `IfsException`

### DMUnregisterAuditEventOperationType

    void DMUnregisterAuditEventOperationType(java.lang.String opTypeKey)
                                             throws IfsException

  Throws:
    `IfsException`

### DMLookupAuditEventOperationTypes

    int[] DMLookupAuditEventOperationTypes(java.lang.String[] keys)
                                           throws IfsException

  Throws:
    `IfsException`

### DMLookupAuditEventOperationTypeKeys

    java.lang.String[] DMLookupAuditEventOperationTypeKeys(int[] opTypes)
                                                           throws IfsException

  Throws:
    `IfsException`

### DMGetAuditTypesForClass

    AttributeValue[] DMGetAuditTypesForClass(java.lang.String className,
                                             boolean includeNested)
                                             throws IfsException

  Throws:
    `IfsException`

### DMGetAuditTypesForCreateOperations

    AttributeValue[] DMGetAuditTypesForCreateOperations()
                                                        throws IfsException

  Throws:
    `IfsException`

### DMGetAuditTypesForFreeOperations

    AttributeValue[] DMGetAuditTypesForFreeOperations()
                                                      throws IfsException

  Throws:
    `IfsException`

### DMGetCustomAuditTypes

    AttributeValue[] DMGetCustomAuditTypes()
                                           throws IfsException

  Throws:
    `IfsException`

### DMRegisterCustomAuditEventOperationCodeKey

    int DMRegisterCustomAuditEventOperationCodeKey(java.lang.String opCodeKey)
                                                   throws IfsException

  Throws:
    `IfsException`

### DMLookupAuditTargetCode

    AuditTargetCode DMLookupAuditTargetCode(java.lang.String className)
                                            throws IfsException

  Throws:
    `IfsException`

### DMGetHighestAuditId

    long DMGetHighestAuditId()
                             throws IfsException

  Throws:
    `IfsException`

### DMGetAuditCertificates

    AuditCertificate[] DMGetAuditCertificates(java.lang.Long[] objectIds)
                                              throws IfsException

  Throws:
    `IfsException`

### DMEmptyWastebasket

    void DMEmptyWastebasket()
                            throws IfsException

  Throws:
    `IfsException`

### DMFilterDeletedObjects

    void DMFilterDeletedObjects(boolean mode)
                                throws IfsException

  Throws:
    `IfsException`

### DMSendClientVersionInformation

    void DMSendClientVersionInformation(long versionNumber,
                                        java.lang.String versionString)
                                        throws IfsException

  Throws:
    `IfsException`

### DMSetExecutionMode

    void DMSetExecutionMode(int mode)
                            throws IfsException

  Throws:
    `IfsException`

### DMIsExecutionMode

    boolean DMIsExecutionMode(int mode)
                              throws IfsException

  Throws:
    `IfsException`

### DMPopTemporaryExecutionMode

    void DMPopTemporaryExecutionMode()

### DMPushTemporaryExecutionMode

    void DMPushTemporaryExecutionMode(int mode)

### DMPopTemporaryAccessCheckMode

    void DMPopTemporaryAccessCheckMode()

### DMPushTemporaryAccessCheckMode

    void DMPushTemporaryAccessCheckMode(boolean mode)

### DMFeignUser

    void DMFeignUser(java.lang.Long id,
                     java.lang.Long classid)
                     throws IfsException

  Throws:
    `IfsException`

### DMInvalidateTokenCredentials

    void DMInvalidateTokenCredentials(java.lang.Long userId)
                                      throws IfsException

  Throws:
    `IfsException`

### DMPersistTokenCredential

    void DMPersistTokenCredential(TokenCredential credential)
                                  throws IfsException

  Throws:
    `IfsException`

### DMReauthenticate

    boolean DMReauthenticate(Credential credential,
                             ConnectOptions options)
                             throws IfsException

  Throws:
    `IfsException`

### DMGrantAdmin

    void DMGrantAdmin(java.lang.Long userid)
                      throws IfsException

  Throws:
    `IfsException`

### DMGetPrimaryUserProfile

    S_LibraryObjectData DMGetPrimaryUserProfile(java.lang.Long id)
                                                throws IfsException

  Throws:
    `IfsException`

### DMGetDirectoryUserData

    S_LibraryObjectData DMGetDirectoryUserData()
                                               throws IfsException

  Throws:
    `IfsException`

### DMGetOurPrimaryUserProfile

    S_LibraryObjectData DMGetOurPrimaryUserProfile()
                                                   throws IfsException

  Throws:
    `IfsException`

### DMCalculateConsumedStorage

    void DMCalculateConsumedStorage(java.lang.Long quotaid,
                                    java.lang.Long classid)
                                    throws IfsException

  Throws:
    `IfsException`

### DMGetArrayTypeAttributeValue

    AttributeValue DMGetArrayTypeAttributeValue(long objectId,
                                                long attributeId,
                                                long auditId,
                                                int count)
                                                throws IfsException

  Throws:
    `IfsException`

### DMGetArrayReferencingObjects

    java.util.Vector DMGetArrayReferencingObjects(java.lang.Long attributeId,
                                                  AttributeValue referencedValue,
                                                  SortSpecification sort)
                                                  throws IfsException

  Throws:
    `IfsException`

### DMGetResolvedClassObjectData

    S_ClassObjectData DMGetResolvedClassObjectData(java.lang.Long id)
                                                   throws IfsException

  Throws:
    `IfsException`

### DMGetAttributesRsn

    long DMGetAttributesRsn()
                            throws IfsException

  Throws:
    `IfsException`

### DMAddMemberToDirectoryGroup

    void DMAddMemberToDirectoryGroup(java.lang.Long group_id,
                                     java.lang.Long classid,
                                     java.lang.Long rightObj,
                                     java.lang.Long rightObjClassid)
                                     throws IfsException

  Throws:
    `IfsException`

### DMRemoveMemberFromDirectoryGroup

    void DMRemoveMemberFromDirectoryGroup(java.lang.Long group_id,
                                          java.lang.Long classid,
                                          java.lang.Long rightObj,
                                          java.lang.Long rightObjClassid)
                                          throws IfsException

  Throws:
    `IfsException`

### DMAddMembersToDirectoryGroup

    void DMAddMembersToDirectoryGroup(java.lang.Long group_id,
                                      java.lang.Long classid,
                                      java.lang.Long[] rightObjIds,
                                      java.lang.Long[] rightObjClassids)
                                      throws IfsException

  Throws:
    `IfsException`

### DMRemoveMembersFromDirectoryGroup

    void DMRemoveMembersFromDirectoryGroup(java.lang.Long group_id,
                                           java.lang.Long classid,
                                           java.lang.Long[] rightObjIds,
                                           java.lang.Long[] rightObjClassids)
                                           throws IfsException

  Throws:
    `IfsException`

### DMIsMemberOfDirectoryGroup

    boolean DMIsMemberOfDirectoryGroup(java.lang.Long groupId,
                                       java.lang.Long groupClassId,
                                       java.lang.Long userId,
                                       java.lang.Long userClassId)
                                       throws IfsException

  Throws:
    `IfsException`

### DMIsDirectMemberOfDirectoryGroup

    boolean DMIsDirectMemberOfDirectoryGroup(java.lang.Long groupId,
                                             java.lang.Long groupClassId,
                                             java.lang.Long userId,
                                             java.lang.Long userClassId)
                                             throws IfsException

  Throws:
    `IfsException`

### DMGetAllMembersOfDirectoryGroup

    java.lang.Long[] DMGetAllMembersOfDirectoryGroup(java.lang.Long id,
                                                     java.lang.Long userid,
                                                     boolean filterForDiscoverability)
                                                     throws IfsException

  Throws:
    `IfsException`

### DMGetDirectMembersOfDirectoryGroup

    java.lang.Long[] DMGetDirectMembersOfDirectoryGroup(java.lang.Long id,
                                                        java.lang.Long userid,
                                                        boolean filterForDiscoverability)
                                                        throws IfsException

  Throws:
    `IfsException`

### DMGetAllAncestorsOfDirectoryObject

    java.lang.Long[] DMGetAllAncestorsOfDirectoryObject(java.lang.Long id,
                                                        java.lang.Long userid)
                                                        throws IfsException

  Throws:
    `IfsException`

### DMGetDirectAncestorsOfDirectoryObject

    java.lang.Long[] DMGetDirectAncestorsOfDirectoryObject(java.lang.Long id,
                                                           java.lang.Long userid)
                                                           throws IfsException

  Throws:
    `IfsException`

### DMGetCompositeAclIds

    java.lang.Long[] DMGetCompositeAclIds(java.lang.Long id,
                                          java.lang.Long classid,
                                          SortSpecification sort)
                                          throws IfsException

  Throws:
    `IfsException`

### DMGetCategoryIds

    java.lang.Long[] DMGetCategoryIds(java.lang.Long id,
                                      java.lang.Long classid)
                                      throws IfsException

  Throws:
    `IfsException`

### DMGetLockedForSessionObjects

    java.util.Vector DMGetLockedForSessionObjects()
                                                  throws IfsException

  Throws:
    `IfsException`

### DMCopyLibraryObject

    S_LibraryObjectData DMCopyLibraryObject(java.lang.Long id,
                                            java.lang.Long classId,
                                            S_LibraryObjectDefinition sdef)
                                            throws IfsException

  Throws:
    `IfsException`

### DMGetObjectReferenceAttribute

    java.io.Serializable DMGetObjectReferenceAttribute(java.lang.Long id,
                                                       java.lang.Long classId,
                                                       java.lang.String attrName)
                                                       throws IfsException

  Throws:
    `IfsException`

### DMConvertToPrivateACL

    S_LibraryObjectData DMConvertToPrivateACL(java.lang.Long id,
                                              java.lang.Long classId,
                                              S_LibraryObjectDefinition sdef)
                                              throws IfsException

  Throws:
    `IfsException`

### DMNewPublicObject

    S_LibraryObjectData DMNewPublicObject(S_LibraryObjectDefinition def)
                                          throws IfsException

  Throws:
    `IfsException`

### DMNewSystemObject

    S_LibraryObjectData DMNewSystemObject(S_LibraryObjectDefinition def)
                                          throws IfsException

  Throws:
    `IfsException`

### DMNewSchemaObject

    S_LibraryObjectData DMNewSchemaObject(S_LibraryObjectDefinition def)
                                          throws IfsException

  Throws:
    `IfsException`

### DMSetAttributes

    S_LibraryObjectDefinition DMSetAttributes(java.lang.Long id,
                                              java.lang.Long classId,
                                              S_LibraryObjectDefinition def)
                                              throws IfsException

  Throws:
    `IfsException`

### DMLockRows

    void DMLockRows(java.lang.Long id,
                    java.lang.Long classId)
                    throws IfsException

  Throws:
    `IfsException`

### DMInvokeServerMethod

    java.io.Serializable DMInvokeServerMethod(java.lang.Long id,
                                              java.lang.Long classId,
                                              java.lang.String methodName,
                                              java.io.Serializable payload)
                                              throws IfsException

  Throws:
    `IfsException`

### DMInvokeOperation

    java.lang.Object DMInvokeOperation(java.lang.Long id,
                                       java.lang.Long classId,
                                       OperationContext op)
                                       throws IfsException

  Throws:
    `IfsException`

### DMDelete

    void DMDelete(java.lang.Long id,
                  java.lang.Long classId,
                  S_LibraryObjectDefinition def)
                  throws IfsException

  Throws:
    `IfsException`

### DMUndelete

    void DMUndelete(java.lang.Long id,
                    java.lang.Long classId,
                    S_LibraryObjectDefinition def)
                    throws IfsException

  Throws:
    `IfsException`

### DMFree

    void DMFree(java.lang.Long id,
                java.lang.Long classId,
                S_LibraryObjectDefinition def)
                throws IfsException

  Throws:
    `IfsException`

### DMAddAttributeToClassObject

    java.lang.Long DMAddAttributeToClassObject(java.lang.Long id,
                                               S_LibraryObjectDefinition def)
                                               throws IfsException

  Throws:
    `IfsException`

### DMRemoveAttributeFromClassObject

    void DMRemoveAttributeFromClassObject(java.lang.Long id,
                                          S_LibraryObjectDefinition def)
                                          throws IfsException

  Throws:
    `IfsException`

### DMfetchACEs

    java.lang.Long[] DMfetchACEs(java.lang.Long id,
                                 java.lang.Long classId)
                                 throws IfsException

  Throws:
    `IfsException`

### DMaddAccessControlEntry

    S_LibraryObjectData DMaddAccessControlEntry(java.lang.Long id,
                                                java.lang.Long classId,
                                                S_LibraryObjectDefinition sdef)
                                                throws IfsException

  Throws:
    `IfsException`

### DMRemoveAccessControlEntry

    void DMRemoveAccessControlEntry(java.lang.Long id,
                                    java.lang.Long classId,
                                    java.lang.Long aceId,
                                    java.lang.Long aceClassId)
                                    throws IfsException

  Throws:
    `IfsException`

### DMupdateAccessControlEntry

    void DMupdateAccessControlEntry(java.lang.Long id,
                                    java.lang.Long classId,
                                    java.lang.Long aceId,
                                    java.lang.Long aceClassid,
                                    S_LibraryObjectDefinition sdef)
                                    throws IfsException

  Throws:
    `IfsException`

### DMremoveAllAccessControlEntries

    void DMremoveAllAccessControlEntries(java.lang.Long id,
                                         java.lang.Long classId)
                                         throws IfsException

  Throws:
    `IfsException`

### DMGetAccessLevel

    AccessLevel DMGetAccessLevel(java.lang.Long id,
                                 java.lang.Long classId,
                                 java.lang.Long userId)
                                 throws IfsException

  Throws:
    `IfsException`

### DMGetDiscoverabilityOfPublicObjectsIds

    java.lang.Long[] DMGetDiscoverabilityOfPublicObjectsIds(java.lang.Long[] ids)
                                                            throws IfsException

  Throws:
    `IfsException`

### DMApplyAclIndexDeferredUpdate

    void DMApplyAclIndexDeferredUpdate(AccessControlListDeferredUpdate entry,
                                       boolean deleteAfterProcessing)
                                       throws IfsException

  Throws:
    `IfsException`

### DMGetAclIndexDeferredUpdates

    java.util.Vector DMGetAclIndexDeferredUpdates(int maxItems)
                                                  throws IfsException

  Throws:
    `IfsException`

### DMDeleteAclIndexDeferredUpdates

    void DMDeleteAclIndexDeferredUpdates(java.lang.Long[] ids)
                                         throws IfsException

  Throws:
    `IfsException`

### DMIsAclIndexUpdateModeSynchronous

    boolean DMIsAclIndexUpdateModeSynchronous()
                                              throws IfsException

  Throws:
    `IfsException`

### DMApplyFolderIndexDeferredUpdate

    void DMApplyFolderIndexDeferredUpdate(FolderIndexDeferredUpdate entry)
                                          throws IfsException

  Throws:
    `IfsException`

### DMGetFolderIndexDeferredUpdates

    java.util.Vector DMGetFolderIndexDeferredUpdates(int maxItems)
                                                     throws IfsException

  Throws:
    `IfsException`

### DMGetExpiredTimedLocks

    java.util.Vector DMGetExpiredTimedLocks(int maxItems,
                                            int offset)
                                            throws IfsException

  Throws:
    `IfsException`

### DMReleaseExpiredLockObject

    int DMReleaseExpiredLockObject(java.lang.Long id,
                                   java.lang.Long classId)
                                   throws IfsException

  Throws:
    `IfsException`

### DMResolveObjects

    void DMResolveObjects(java.lang.Long[] ids,
                          java.lang.Long[] classIds,
                          ObjectResolverSpecification spec)
                          throws IfsException

  Throws:
    `IfsException`

### DMFetchProperties

    java.util.Vector DMFetchProperties(java.lang.Long propertyBundleId,
                                       java.lang.Long propertyBundleClassId)
                                       throws IfsException

  Throws:
    `IfsException`

### DMGetProperty

    AttributeValue DMGetProperty(java.lang.Long propertyBundleId,
                                 java.lang.Long propertyBundleClassId,
                                 java.lang.String propertyName)
                                 throws IfsException

  Throws:
    `IfsException`

### DMFetchPolicyListElements

    java.util.Vector DMFetchPolicyListElements(java.lang.Long policyListId,
                                               java.lang.Long policyListClassId)
                                               throws IfsException

  Throws:
    `IfsException`

### DMGetEffectiveClassPolicyListElements

    java.util.Vector DMGetEffectiveClassPolicyListElements(java.lang.Long id,
                                                           java.lang.Long classId,
                                                           java.lang.String operation)
                                                           throws IfsException

  Throws:
    `IfsException`

### DMGetEffectivePolicyListElements

    java.util.Vector DMGetEffectivePolicyListElements(java.lang.Long id,
                                                      java.lang.Long classId,
                                                      java.lang.String operation)
                                                      throws IfsException

  Throws:
    `IfsException`

### DMGetFolderItemList

    java.lang.Long[] DMGetFolderItemList(java.lang.Long folder_id,
                                         java.lang.Long classid,
                                         SortSpecification sort)
                                         throws IfsException

  Throws:
    `IfsException`

### DMGetTotalFolderItemCount

    int DMGetTotalFolderItemCount(java.lang.Long folder_id,
                                  java.lang.Long classid)
                                  throws IfsException

  Throws:
    `IfsException`

### DMFolderHasSubFolders

    boolean DMFolderHasSubFolders(java.lang.Long folder_id,
                                  java.lang.Long classid)
                                  throws IfsException

  Throws:
    `IfsException`

### DMGetFolderReferences

    java.lang.Long[] DMGetFolderReferences(java.lang.Long PublicObject_id,
                                           java.lang.Long classid,
                                           SortSpecification sort)
                                           throws IfsException

  Throws:
    `IfsException`

### DMListItems

    java.util.Vector DMListItems(java.lang.Long folder_id,
                                 java.lang.Long classid,
                                 java.lang.String folderRelClassname,
                                 SortSpecification sort)
                                 throws IfsException

  Throws:
    `IfsException`

### DMAddToFolder

    void DMAddToFolder(java.lang.Long folder_id,
                       java.lang.Long classid,
                       java.lang.Long rightObj,
                       java.lang.Long rightObjClassid)
                       throws IfsException

  Throws:
    `IfsException`

### DMRemoveFromFolder

    void DMRemoveFromFolder(java.lang.Long folder_id,
                            java.lang.Long classid,
                            java.lang.Long rightObj,
                            java.lang.Long rightObjClassid,
                            S_LibraryObjectDefinition def)
                            throws IfsException

  Throws:
    `IfsException`

### DMAddFolderRelationship

    void DMAddFolderRelationship(java.lang.Long id,
                                 java.lang.Long classid,
                                 S_LibraryObjectDefinition rdef)
                                 throws IfsException

  Throws:
    `IfsException`

### DMFindPublicObjectByPath

    S_LibraryObjectData DMFindPublicObjectByPath(java.lang.Long folder_id,
                                                 java.lang.Long classid,
                                                 java.lang.String path)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMCheckExistenceOfPublicObjectByPath

    boolean DMCheckExistenceOfPublicObjectByPath(java.lang.Long folder_id,
                                                 java.lang.Long classid,
                                                 java.lang.String path)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMGetAnyFolderPath

    java.lang.String DMGetAnyFolderPath(java.lang.Long id,
                                        java.lang.Long classid,
                                        java.lang.Long folderRefId,
                                        java.lang.Long folderRefClassid,
                                        FolderPathOptions fpo,
                                        SortSpecification sort)
                                        throws IfsException

  Throws:
    `IfsException`

### DMGetAllFolderPaths

    java.lang.String[] DMGetAllFolderPaths(java.lang.Long id,
                                           java.lang.Long classid,
                                           java.lang.Long folderRefId,
                                           java.lang.Long folderRefClassid,
                                           FolderPathOptions fpo,
                                           SortSpecification sort)
                                           throws IfsException

  Throws:
    `IfsException`

### DMGetFolderItemCount

    long DMGetFolderItemCount(java.lang.Long folder_id,
                              java.lang.Long classId,
                              java.lang.String folderRelClassname)
                              throws IfsException

  Throws:
    `IfsException`

### DMGetSubfolderCount

    long DMGetSubfolderCount(java.lang.Long folder_id,
                             java.lang.Long classId,
                             java.lang.String folderRelClassname)
                             throws IfsException

  Throws:
    `IfsException`

### DMOpenFolder

    void DMOpenFolder(java.lang.Long folder_id,
                      java.lang.Long classid,
                      java.lang.String folderRelClassname,
                      SortSpecification sort)
                      throws IfsException

  Throws:
    `IfsException`

### DMNextFolderItem

    S_LibraryObjectData DMNextFolderItem(java.lang.Long folder_id,
                                         java.lang.Long classid)
                                         throws IfsException

  Throws:
    `IfsException`

### DMCloseFolder

    void DMCloseFolder(java.lang.Long folder_id,
                       java.lang.Long classid)
                       throws IfsException

  Throws:
    `IfsException`

### DMListPreparedSelectorItems

    java.util.Vector DMListPreparedSelectorItems(java.lang.String statementKey,
                                                 boolean distinct,
                                                 AttributeValue searchTarget,
                                                 AttributeValue[] auxSearchTargets,
                                                 java.lang.String searchDefinition,
                                                 boolean recursive,
                                                 java.lang.String language,
                                                 int maxItemCount,
                                                 int rowNumber,
                                                 java.lang.String hint,
                                                 SortSpecification sort,
                                                 AttributeValue[] bindValues)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMGetPreparedSelectorItemCount

    int DMGetPreparedSelectorItemCount(java.lang.String statementKey,
                                       boolean distinct,
                                       AttributeValue searchTarget,
                                       AttributeValue[] auxSearchTargets,
                                       java.lang.String searchDefinition,
                                       boolean recursive,
                                       java.lang.String hint,
                                       AttributeValue[] bindValues)
                                       throws IfsException

  Throws:
    `IfsException`

### DMListSelectorItems

    java.util.Vector DMListSelectorItems(java.lang.String searchClass,
                                         java.lang.String searchDefinition,
                                         boolean recursive,
                                         int maxItemCount,
                                         SortSpecification sort)
                                         throws IfsException

  Throws:
    `IfsException`

### DMGetSelectorItemCount

    long DMGetSelectorItemCount(java.lang.String searchClass,
                                java.lang.String searchDefinition,
                                boolean recursive)
                                throws IfsException

  Throws:
    `IfsException`

### DMOpenSelector

    long DMOpenSelector(java.lang.String searchClass,
                        java.lang.String searchDefinition,
                        boolean recursive,
                        SortSpecification sort)
                        throws IfsException

  Throws:
    `IfsException`

### DMNextSelectorItem

    S_LibraryObjectData DMNextSelectorItem(long cursorId)
                                           throws IfsException

  Throws:
    `IfsException`

### DMNextSelectorBatch

    java.util.Vector DMNextSelectorBatch(long cursorId,
                                         int batchSize)
                                         throws IfsException

  Throws:
    `IfsException`

### DMCloseSelector

    void DMCloseSelector(long cursorId)
                         throws IfsException

  Throws:
    `IfsException`

### DMNewSearch

    java.lang.Long DMNewSearch()
                               throws IfsException

  Throws:
    `IfsException`

### DMNewSearchFromObject

    java.lang.Long DMNewSearchFromObject(java.lang.Long srchObjId)
                                         throws IfsException

  Throws:
    `IfsException`

### DMGetSearchSpecification

    SearchSpecification DMGetSearchSpecification(java.lang.Long srchId)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMSetSearchSpecification

    void DMSetSearchSpecification(java.lang.Long srchId,
                                  SearchSpecification sp)
                                  throws IfsException

  Throws:
    `IfsException`

### DMOpenSearch

    void DMOpenSearch(java.lang.Long id,
                      java.util.Vector bindValues,
                      java.lang.String language,
                      int timeout)
                      throws IfsException

  Throws:
    `IfsException`

### DMgetSearchItemCount

    int DMgetSearchItemCount(java.lang.Long id,
                             java.util.Vector bindValues,
                             java.lang.String language,
                             int timeout)
                             throws IfsException

  Throws:
    `IfsException`

### DMgetSearchSQLString

    java.lang.String DMgetSearchSQLString(java.lang.Long srchId)
                                          throws IfsException

  Throws:
    `IfsException`

### DMNextSearchItems

    java.util.Vector DMNextSearchItems(java.lang.Long id,
                                       int batchCount)
                                       throws IfsException

  Throws:
    `IfsException`

### DMCloseSearch

    void DMCloseSearch(java.lang.Long id)
                       throws IfsException

  Throws:
    `IfsException`

### DMDisposeSearch

    void DMDisposeSearch(java.lang.Long srchId)
                         throws IfsException

  Throws:
    `IfsException`

### DMCreateView

    void DMCreateView(ViewSpecification vsp)
                      throws IfsException

  Throws:
    `IfsException`

### DMGetPartitionValue

    java.lang.Long DMGetPartitionValue(java.lang.Long id,
                                       java.lang.Long classId)
                                       throws IfsException

  Throws:
    `IfsException`

### DMGetLastAccessDate

    java.util.Date DMGetLastAccessDate(java.lang.Long id,
                                       java.lang.Long classId)
                                       throws IfsException

  Throws:
    `IfsException`

### DMGetContentStream

    ContentStreamSerializer DMGetContentStream(java.lang.Long id,
                                               java.lang.Long classId,
                                               java.lang.Long refObjId,
                                               java.lang.Long refObjClassId)
                                               throws IfsException

  Throws:
    `IfsException`

### DMGetContentReader

    ContentStreamSerializer DMGetContentReader(java.lang.Long id,
                                               java.lang.Long classId,
                                               java.lang.Long refObjId,
                                               java.lang.Long refObjClassId)
                                               throws IfsException

  Throws:
    `IfsException`

### DMGetContentByRandomAccess

    RandomAccessor DMGetContentByRandomAccess(java.lang.Long coId,
                                              java.lang.Long coClassId,
                                              java.lang.Long refObjId,
                                              java.lang.Long refObjClassId)
                                              throws IfsException

  Throws:
    `IfsException`

### DMUpdateContentByRandomAccess

    RandomAccessor DMUpdateContentByRandomAccess(java.lang.Long docId,
                                                 java.lang.Long docClassId,
                                                 S_LibraryObjectDefinition sdocdef,
                                                 java.lang.Long expirationPeriod)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorGetDocumentId

    java.lang.Long DMRandomAccessorGetDocumentId(S_RandomAccessorImpl ra)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorGetContentObjectId

    java.lang.Long DMRandomAccessorGetContentObjectId(S_RandomAccessorImpl ra)
                                                      throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorSetSession

    void DMRandomAccessorSetSession(S_RandomAccessorImpl ra)
                                    throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorRead

    int DMRandomAccessorRead(S_RandomAccessorImpl ra,
                             long pos,
                             byte[] b,
                             int off,
                             int len)
                             throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorIsWriteable

    boolean DMRandomAccessorIsWriteable(S_RandomAccessorImpl ra)
                                        throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorWrite

    void DMRandomAccessorWrite(S_RandomAccessorImpl ra,
                               long pos,
                               byte[] b,
                               int off,
                               int len)
                               throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorTruncate

    void DMRandomAccessorTruncate(S_RandomAccessorImpl ra,
                                  long len)
                                  throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorLength

    long DMRandomAccessorLength(S_RandomAccessorImpl ra)
                                throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorDispose

    void DMRandomAccessorDispose(S_RandomAccessorImpl ra)
                                 throws IfsException

  Throws:
    `IfsException`

### DMRandomAccessorClose

    void DMRandomAccessorClose(S_RandomAccessorImpl ra)
                               throws IfsException

  Throws:
    `IfsException`

### DMNewContentStreamSerializer

    ContentStreamSerializer DMNewContentStreamSerializer()
                                                         throws IfsException

  Throws:
    `IfsException`

### DMIsContentReadByUser

    boolean DMIsContentReadByUser(java.lang.Long id,
                                  java.lang.Long classId)
                                  throws IfsException

  Throws:
    `IfsException`

### DMIsContextIndexEnabled

    boolean DMIsContextIndexEnabled()
                                    throws IfsException

  Throws:
    `IfsException`

### DMSetContentReadByUser

    void DMSetContentReadByUser(java.lang.Long id,
                                java.lang.Long classId,
                                boolean readState,
                                java.lang.Long refObjId,
                                java.lang.Long refObjClassId)
                                throws IfsException

  Throws:
    `IfsException`

### DMRender

    ContentStreamSerializer DMRender(java.lang.Long id,
                                     java.lang.Long classId,
                                     java.lang.String rendererType,
                                     java.lang.String rendererName,
                                     java.util.Hashtable options,
                                     boolean reader)
                                     throws IfsException

  Throws:
    `IfsException`

### DMIsVersionable

    boolean DMIsVersionable(java.lang.Long id,
                            java.lang.Long classId)
                            throws IfsException

  Throws:
    `IfsException`

### DMIsInstanceOfClassVersionable

    boolean DMIsInstanceOfClassVersionable(java.lang.Long classId)
                                           throws IfsException

  Throws:
    `IfsException`

### DMUnReserve

    void DMUnReserve(java.lang.Long id,
                     java.lang.Long classId)
                     throws IfsException

  Throws:
    `IfsException`

### DMNewRevision

    S_LibraryObjectData DMNewRevision(java.lang.Long id,
                                      java.lang.Long classId,
                                      S_LibraryObjectDefinition def)
                                      throws IfsException

  Throws:
    `IfsException`

### DMReserveNext

    void DMReserveNext(java.lang.Long id,
                       java.lang.Long classId,
                       java.lang.String contentPath,
                       java.lang.String comment)
                       throws IfsException

  Throws:
    `IfsException`

### DMNewVersionSeries

    S_LibraryObjectData DMNewVersionSeries(java.lang.Long id,
                                           java.lang.Long classId,
                                           S_LibraryObjectDefinition def)
                                           throws IfsException

  Throws:
    `IfsException`

### DMNewBranchedVersionSeries

    S_LibraryObjectData DMNewBranchedVersionSeries(java.lang.Long id,
                                                   java.lang.Long classId,
                                                   S_LibraryObjectDefinition def)
                                                   throws IfsException

  Throws:
    `IfsException`

### DMIntegrateIntoVersionSeries

    void DMIntegrateIntoVersionSeries(java.lang.Long sid,
                                      java.lang.Long sclassId,
                                      java.lang.Long tid,
                                      java.lang.Long tclassId)
                                      throws IfsException

  Throws:
    `IfsException`

### DMfetchRevisions

    java.lang.Long[] DMfetchRevisions(java.lang.Long id,
                                      java.lang.Long classId)
                                      throws IfsException

  Throws:
    `IfsException`

### DMfetchVersionSerieses

    java.lang.Long[] DMfetchVersionSerieses(java.lang.Long id,
                                            java.lang.Long classId)
                                            throws IfsException

  Throws:
    `IfsException`

### DMGetLinks

    java.lang.Long[] DMGetLinks(java.lang.Long id,
                                java.lang.Long classId)
                                throws IfsException

  Throws:
    `IfsException`

### DMReassociateLinks

    void DMReassociateLinks(java.lang.Long oldId,
                            java.lang.Long oldClassId,
                            java.lang.Long newId,
                            java.lang.Long newClassId)
                            throws IfsException

  Throws:
    `IfsException`

### DMAddRelationship

    S_LibraryObjectData DMAddRelationship(java.lang.Long id,
                                          java.lang.Long classId,
                                          S_LibraryObjectDefinition def)
                                          throws IfsException

  Throws:
    `IfsException`

### DMRemoveRelationship

    void DMRemoveRelationship(java.lang.Long id,
                              java.lang.Long classId,
                              java.lang.Long relId,
                              java.lang.Long relClassId)
                              throws IfsException

  Throws:
    `IfsException`

### DMGetRightwardRelationshipObjects

    java.util.Vector DMGetRightwardRelationshipObjects(java.lang.Long id,
                                                       java.lang.Long classId,
                                                       java.lang.Long relClassId,
                                                       SortSpecification sort)
                                                       throws IfsException

  Throws:
    `IfsException`

### DMGetLeftwardRelationshipObjects

    java.util.Vector DMGetLeftwardRelationshipObjects(java.lang.Long id,
                                                      java.lang.Long classId,
                                                      java.lang.Long relClassId,
                                                      SortSpecification sort)
                                                      throws IfsException

  Throws:
    `IfsException`

### DMGetRightwardRelationships

    java.util.Vector DMGetRightwardRelationships(java.lang.Long id,
                                                 java.lang.Long classId,
                                                 java.lang.Long relClassId,
                                                 SortSpecification sort)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMGetLeftwardRelationships

    java.util.Vector DMGetLeftwardRelationships(java.lang.Long id,
                                                java.lang.Long classId,
                                                java.lang.Long relClassId,
                                                SortSpecification sort)
                                                throws IfsException

  Throws:
    `IfsException`

### DMGetLeftwardRelationshipsCount

    long DMGetLeftwardRelationshipsCount(java.lang.Long id,
                                         java.lang.Long classId,
                                         java.lang.Long relClassId)
                                         throws IfsException

  Throws:
    `IfsException`

### DMBeginTransaction

    Transaction DMBeginTransaction(boolean writeable)
                                   throws IfsException

  Throws:
    `IfsException`

### DMCompleteTransaction

    void DMCompleteTransaction(Transaction transaction)
                               throws IfsException

  Throws:
    `IfsException`

### DMAbortTransaction

    void DMAbortTransaction(Transaction transaction)
                            throws IfsException

  Throws:
    `IfsException`

### DMCommit

    void DMCommit()
                  throws IfsException

  Throws:
    `IfsException`

### DMRollback

    void DMRollback()
                    throws IfsException

  Throws:
    `IfsException`

### DMIsTransactionInProgress

    boolean DMIsTransactionInProgress()
                                      throws IfsException

  Throws:
    `IfsException`

### DMgetLibraryObjectData

    S_LibraryObjectData DMgetLibraryObjectData(java.lang.Long id,
                                               java.lang.Long classId,
                                               java.lang.String attributeName,
                                               boolean selectFully)
                                               throws IfsException

  Throws:
    `IfsException`

### DMGetPublicObjectData

    S_LibraryObjectData DMGetPublicObjectData(java.lang.Long id,
                                              java.lang.Long classId)
                                              throws IfsException

  Throws:
    `IfsException`

### DMGetSystemObjectData

    S_LibraryObjectData DMGetSystemObjectData(java.lang.Long id,
                                              java.lang.Long classId)
                                              throws IfsException

  Throws:
    `IfsException`

### DMGetSchemaObjectData

    S_LibraryObjectData DMGetSchemaObjectData(java.lang.Long id,
                                              java.lang.Long classId)
                                              throws IfsException

  Throws:
    `IfsException`

### DMGenerateThemes

    void DMGenerateThemes(java.lang.Long contentId,
                          java.lang.Long contentClassId,
                          boolean fullThemes,
                          java.lang.Long refObjId,
                          java.lang.Long refObjClassId)
                          throws IfsException

  Throws:
    `IfsException`

### DMGetThemes

    ContextTheme[] DMGetThemes(java.lang.Long contentId,
                               java.lang.Long contentClassId,
                               java.lang.Long refObjId,
                               java.lang.Long refObjClassId)
                               throws IfsException

  Throws:
    `IfsException`

### DMGenerateSummary

    void DMGenerateSummary(java.lang.Long contentId,
                           java.lang.Long contentClassID,
                           java.lang.String pointOfView,
                           long sizeAsPercent,
                           long sizeAsNumParagraphs,
                           java.lang.String summaryLevel,
                           java.lang.Long refObjId,
                           java.lang.Long refObjClassId)
                           throws IfsException

  Throws:
    `IfsException`

### DMGetSummary

    ContentStreamSerializer DMGetSummary(java.lang.Long contentId,
                                         java.lang.Long contentClassId,
                                         java.lang.String pointOfView,
                                         java.lang.Long refObjId,
                                         java.lang.Long refObjClassId)
                                         throws IfsException

  Throws:
    `IfsException`

### DMFilterContent

    void DMFilterContent(java.lang.Long contentId,
                         java.lang.Long contentClassId,
                         boolean plaintext,
                         java.lang.Long refObjId,
                         java.lang.Long refObjClassId)
                         throws IfsException

  Throws:
    `IfsException`

### DMGetSLibraryObjectDefinition

    S_LibraryObjectDefinition DMGetSLibraryObjectDefinition(java.lang.Long id,
                                                            java.lang.Long classid)
                                                            throws IfsException

  Throws:
    `IfsException`

### DMGetIdsForNewObjects

    java.lang.Long[] DMGetIdsForNewObjects(int length)
                                           throws IfsException

  Throws:
    `IfsException`

### DMGetFilteredContent

    ContentStreamSerializer DMGetFilteredContent(java.lang.Long contentId,
                                                 java.lang.Long contentClassId,
                                                 java.lang.Long refObjId,
                                                 java.lang.Long refObjClassId)
                                                 throws IfsException

  Throws:
    `IfsException`

### DMIsAttributeValueInValueDomain

    boolean DMIsAttributeValueInValueDomain(java.lang.Long id,
                                            java.lang.Long classId,
                                            AttributeValue av)
                                            throws IfsException

  Throws:
    `IfsException`

### DMEnqueueMessage

    void DMEnqueueMessage(java.lang.Long id,
                          java.lang.Long classId,
                          oracle.sql.ORAData message)
                          throws IfsException

  Throws:
    `IfsException`

### DMEnqueueMessage

    void DMEnqueueMessage(java.lang.Long id,
                          java.lang.Long classId,
                          oracle.sql.ORAData message,
                          java.lang.String correlation)
                          throws IfsException

  Throws:
    `IfsException`

### DMDequeueMessage

    oracle.sql.ORAData DMDequeueMessage(java.lang.Long id,
                                        java.lang.Long classId,
                                        java.lang.String subscriberName)
                                        throws IfsException

  Throws:
    `IfsException`

### DMDequeueMessageFromExceptionQueue

    oracle.sql.ORAData DMDequeueMessageFromExceptionQueue(java.lang.Long id,
                                                          java.lang.Long classId)
                                                          throws IfsException

  Throws:
    `IfsException`

### DMGetPublicObjectsReferringToLockObject

    java.util.Vector DMGetPublicObjectsReferringToLockObject(java.lang.Long id,
                                                             java.lang.Long classId,
                                                             SortSpecification sort)
                                                             throws IfsException

  Throws:
    `IfsException`

### DMIsLockObjectShared

    boolean DMIsLockObjectShared(java.lang.Long id,
                                 java.lang.Long classId)
                                 throws IfsException

  Throws:
    `IfsException`

### DMCreateDefaultPropertyBundle

    S_LibraryObjectData DMCreateDefaultPropertyBundle(java.lang.Long id,
                                                      java.lang.Long classId)
                                                      throws IfsException

  Throws:
    `IfsException`

### DMCreateDefaultPolicyPropertyBundle

    S_LibraryObjectData DMCreateDefaultPolicyPropertyBundle(java.lang.Long id,
                                                            java.lang.Long classId)
                                                            throws IfsException

  Throws:
    `IfsException`

### DMInsertRetainedEvent

    void DMInsertRetainedEvent(RetainedEvent event)
                               throws IfsException

  Throws:
    `IfsException`

### DMDeleteRetainedEvent

    void DMDeleteRetainedEvent(RetainedEvent event)
                               throws IfsException

  Throws:
    `IfsException`

### DMGetRetainedEvents

    RetainedEvent[] DMGetRetainedEvents(RetainedEvent event,
                                        int maxItems)
                                        throws IfsException

  Throws:
    `IfsException`

### DMCreateRetainedEventDatabaseObjects

    void DMCreateRetainedEventDatabaseObjects(RetainedEvent event)
                                              throws IfsException

  Throws:
    `IfsException`

### DMDropRetainedEventDatabaseObjects

    void DMDropRetainedEventDatabaseObjects(RetainedEvent event)
                                            throws IfsException

  Throws:
    `IfsException`

### DMGetConsumedStorage

    long DMGetConsumedStorage(java.lang.Long id,
                              java.lang.Long classId)
                              throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD